Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.convert
Class ConversionExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.binding.convert.ConversionException
                      org.springframework.binding.convert.ConversionExecutionException

All Implemented Interfaces:
  java.io.Serializable

    public class ConversionExecutionException

extends ConversionException

Thrown when an attempt to execute a type conversion fails.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`ConversionExecutionException(java.lang.Object value, java.lang.Class sourceClass, java.lang.Class targetClass, java.lang.String message)` Creates a new conversion exception.
`ConversionExecutionException(java.lang.Object value, java.lang.Class sourceClass, java.lang.Class targetClass, java.lang.Throwable cause)` Creates a new conversion exception.

Method Summary
`java.lang.Class` | `getSourceClass()` Returns the source type we tried to convert the value from.
`java.lang.Class` | `getTargetClass()` Returns the target type we tried to convert the value to.
`java.lang.Object` | `getValue()` Returns the actual value we tried to convert, an instance of `getSourceClass()`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversionExecutionException

    public ConversionExecutionException(java.lang.Object value,
                                        java.lang.Class sourceClass,
                                        java.lang.Class targetClass,
                                        java.lang.Throwable cause)

  Creates a new conversion exception.

  Parameters:
    `value` - the value we tried to convert
    `sourceClass` - the value's original type
    `targetClass` - the value's target type
    `cause` - the cause of the conversion failure

### ConversionExecutionException

    public ConversionExecutionException(java.lang.Object value,
                                        java.lang.Class sourceClass,
                                        java.lang.Class targetClass,
                                        java.lang.String message)

  Creates a new conversion exception.

  Parameters:
    `value` - the value we tried to convert
    `sourceClass` - the value's original type
    `targetClass` - the value's target type
    `message` - a descriptive message of what went wrong.

Method Detail

### getValue

    public java.lang.Object getValue()

  Returns the actual value we tried to convert, an instance of `getSourceClass()`.

### getSourceClass

    public java.lang.Class getSourceClass()

  Returns the source type we tried to convert the value from.

### getTargetClass

    public java.lang.Class getTargetClass()

  Returns the target type we tried to convert the value to.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD